package run;

import jp.sync.Barrier;

import java.util.Vector;

import jp.lang.*;



public interface Worker_instance_intf extends jp.lang.RemoteObject_instance_intf {

  public run.Element run_Worker_temporary_element_get_() throws uka.karmi.rmi.RemoteException;

  public run.Element run_Worker_temporary_element_set_(run.Element _value_) throws uka.karmi.rmi.RemoteException;

  public run.Node run_Worker_temporary_node_get_() throws uka.karmi.rmi.RemoteException;

  public run.Node run_Worker_temporary_node_set_(run.Node _value_) throws uka.karmi.rmi.RemoteException;

  public java.util.Vector run_Worker_elementlist_get_() throws uka.karmi.rmi.RemoteException;

  public java.util.Vector run_Worker_elementlist_set_(java.util.Vector _value_) throws uka.karmi.rmi.RemoteException;

  public java.util.Vector run_Worker_nodelist_get_() throws uka.karmi.rmi.RemoteException;

  public java.util.Vector run_Worker_nodelist_set_(java.util.Vector _value_) throws uka.karmi.rmi.RemoteException;

  public jp.sync.Barrier run_Worker_barrier_get_() throws uka.karmi.rmi.RemoteException;

  public jp.sync.Barrier run_Worker_barrier_set_(jp.sync.Barrier _value_) throws uka.karmi.rmi.RemoteException;

  public double run_Worker_time_get_() throws uka.karmi.rmi.RemoteException;

  public double run_Worker_time_set_(double _value_) throws uka.karmi.rmi.RemoteException;

  public double run_Worker_time_inc_(double _value_, boolean _post_) throws uka.karmi.rmi.RemoteException;

  public double run_Worker_timestep_get_() throws uka.karmi.rmi.RemoteException;

  public double run_Worker_timestep_set_(double _value_) throws uka.karmi.rmi.RemoteException;

  public double run_Worker_timestep_inc_(double _value_, boolean _post_) throws uka.karmi.rmi.RemoteException;

  public double run_Worker_ttemp_get_() throws uka.karmi.rmi.RemoteException;

  public double run_Worker_ttemp_set_(double _value_) throws uka.karmi.rmi.RemoteException;

  public double run_Worker_ttemp_inc_(double _value_, boolean _post_) throws uka.karmi.rmi.RemoteException;

  public boolean run_Worker_keep_running_get_() throws uka.karmi.rmi.RemoteException;

  public boolean run_Worker_keep_running_set_(boolean _value_) throws uka.karmi.rmi.RemoteException;

  public boolean run_Worker_autostep_get_() throws uka.karmi.rmi.RemoteException;

  public boolean run_Worker_autostep_set_(boolean _value_) throws uka.karmi.rmi.RemoteException;

  public void addElement(run.Element el) throws uka.karmi.rmi.RemoteException;

  public void removeElement(run.Element el) throws uka.karmi.rmi.RemoteException;

  public void addNode(run.Node node) throws uka.karmi.rmi.RemoteException;

  public void removeNode(run.Node node) throws uka.karmi.rmi.RemoteException;

  public void run() throws uka.karmi.rmi.RemoteException;

  public void setKeep_running(boolean keep_running) throws uka.karmi.rmi.RemoteException;

  public double getTime() throws uka.karmi.rmi.RemoteException;

  public void setTime(double time) throws uka.karmi.rmi.RemoteException;

  public double getTimestep() throws uka.karmi.rmi.RemoteException;

  public void setTimestep(double timestep) throws uka.karmi.rmi.RemoteException;

  public double getTtemp() throws uka.karmi.rmi.RemoteException;

  public boolean isAutostep() throws uka.karmi.rmi.RemoteException;

  public void setAutostep(boolean autostep) throws uka.karmi.rmi.RemoteException;

}
